﻿@model GarageMaster.Models.Forum.TopicModels.TopicDetailsModel

@{
    ViewData["Title"] = "DetailsTopic";
}

<h1>DetailsTopic</h1>

<div>
    <h4>TopicModel</h4>
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Id)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Id)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.TopicCreationDate)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.TopicCreationDate)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.TopicTitle)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.TopicTitle)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.TopicContent)
        </dt>
        <dd class="col-sm-10">
            @Html.Raw(Model.TopicContent)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Author)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Author)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.CommentsQty)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.CommentsQty)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.IsLocked)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.IsLocked)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.IsAuthor)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.IsAuthor)
        </dd>
    </dl>
</div>

<div>
    <div class="container">
        <div class="row">
            @foreach (var item in Model.TopicPictures)
            {
                <div class="col-md-2">
                    <img style="width: 100%; height: 100%" src="@Url.Content(item.FilePath)" />
                </div>
            }
        </div>
    </div>
</div>
<hr />

@if (Model.IsAuthorized)
{
    <div>
        <a asp-area="" asp-controller="Comment" asp-action="CreateCommentToTopic" asp-route-topicId="@Model.Id" class="btn btn-primary btn-sm">Комментировать</a>
        @if (Model.IsAuthor)
        {
            <a asp-area="" asp-controller="Topic" asp-action="EditTopic" asp-route-id="@Model.Id" class="btn btn-primary btn-sm">Edit</a>
            <a asp-area="" asp-controller="Topic" asp-action="DeleteTopic" asp-route-id="@Model.Id" class="btn btn-danger btn-sm">Delete</a>
        }
    </div>
}

<div>
    <span class="extremum-click" style="color: blue; text-decoration: underline;">Показать коментарии</span>
    <div class="extremum-slide">
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        <div class="row">
            @{
                if (Model.Comments.Count != 0)
                {
                    await Html.RenderPartialAsync("_DisplayCommentsInTopic", Model.CommentModels);
                }
            }
        </div>
    </div>
</div>

<hr />
<div>
    <a asp-area="" asp-controller="Topic" asp-action="Index">Back to List</a>
</div>

@section Scripts
{
    <partial name="_TopicScriptsPartial" />

}